#ifndef VBPRM_H
#define VBPRM_H

#include <ode/ode.h>
#include "robot.h"
#include "camera.h"
#include "main.h"



class Camera;
class Robot;

class Vbprm
{
private:
	int currentNode;
public:
	struct prm{
	dReal V[3]; 
	int E[5*5*5-1];
	int collision;
	int *stepCollision;
	
	
	}*G;

	int numberOfSteps;
	Vbprm(dReal robotX, dReal robotY, dReal robotZ, dReal processX, dReal processY, dReal processZ, Camera *camera, Robot *robot);
	dReal *getPoint(int point);
	void setCurrentNode(int n);
	int getCurrentNode();
	void setStatus(Robot *robot, Camera *camera,int stepNo,int nodeNo);
	int Vbprm::getNNode(int pos[]);

};
#endif